[*.cs]

# IDE0058: Il valore dell'espressione non viene mai usato
csharp_style_unused_value_expression_statement_preference = discard_variable:none

# IDE1006: Stili di denominazione
dotnet_diagnostic.IDE1006.severity = none

# CA5368: Impostare ViewStateUserKey per classi derivate da Page
dotnet_diagnostic.CA5368.severity = none

# CA1707: Gli identificatori non devono contenere caratteri di sottolineatura
dotnet_diagnostic.CA1707.severity = none

# CA1822: Contrassegnare i membri come static
dotnet_diagnostic.CA1822.severity = none

# CA1051: Non dichiarare campi di istanza visibili
dotnet_diagnostic.CA1051.severity = none

# IDE0055: Correggi formattazione
dotnet_diagnostic.IDE0055.severity = none

# CA1305: Specificare IFormatProvider
dotnet_diagnostic.CA1305.severity = none

# IDE0071: Semplifica l'interpolazione
dotnet_style_prefer_simplified_interpolation = true:none

# Default severity for analyzer diagnostics with category 'Globalization'
dotnet_analyzer_diagnostic.category-Globalization.severity = none

# CA1806: Non ignorare i risultati del metodo
dotnet_diagnostic.CA1806.severity = none

# Default severity for analyzer diagnostics with category 'Design'
dotnet_analyzer_diagnostic.category-Design.severity = none

# CA1716: Gli identificatori non devono corrispondere a parole chiave
dotnet_diagnostic.CA1716.severity = none

# CA2227: Le proprietà delle raccolte devono essere di sola lettura
dotnet_diagnostic.CA2227.severity = none
